Package org.eclipse.rdf4j.repository.manager

## Class SystemRepository

- java.lang.Object
- - org.eclipse.rdf4j.repository.base.RepositoryWrapper
  - - org.eclipse.rdf4j.repository.event.base.NotifyingRepositoryWrapper
    - - org.eclipse.rdf4j.repository.manager.SystemRepository

- All Implemented Interfaces:
    `DelegatingRepository`, `NotifyingRepository`, `Repository`

      @Deprecated
      public class SystemRepository
      extends NotifyingRepositoryWrapper

  Deprecated.
  FIXME: do not extend NotifyingRepositoryWrapper, because SystemRepository shouldn't expose RepositoryWrapper behaviour, just implement NotifyingRepository.
  Author:
    Herko ter Horst, Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ID` | Deprecated. The repository identifier for the system repository that contains the configuration data.
    `static String` | `REPOSITORY_TYPE` | Deprecated.
    `static String` | `TITLE` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemRepository​(File systemDir)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init()` | Deprecated. Initializes this repository.
    `void` | `setDelegate​(Repository delegate)` | Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.repository.event.base.NotifyingRepositoryWrapper

      `addRepositoryConnectionListener, addRepositoryListener, getConnection, getDefaultReportDeltas, removeRepositoryConnectionListener, removeRepositoryListener, setDataDir, setDefaultReportDeltas, shutDown`

    - ### Methods inherited from class org.eclipse.rdf4j.repository.base.RepositoryWrapper

      `getDataDir, getDelegate, getValueFactory, isInitialized, isWritable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.Repository

      `getDataDir, getValueFactory, isInitialized, isWritable`

- - ### Field Detail

    - #### ID

          public static final String ID

      Deprecated.
      The repository identifier for the system repository that contains the configuration data.
      See Also:
        Constant Field Values

    - #### TITLE

          public static final String TITLE

      Deprecated.
      See Also:
        Constant Field Values

    - #### REPOSITORY_TYPE

          public static final String REPOSITORY_TYPE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SystemRepository

          public SystemRepository​(File systemDir)
                           throws RepositoryException

      Deprecated.
      Throws:
        `RepositoryException`

  - ### Method Detail

    - #### init

          public void init()
                    throws RepositoryException

      Deprecated.
      Description copied from interface: `Repository`
      Initializes this repository. A repository needs to be initialized before it can be used, however explicitly calling this method is not necessary: the repository will automatically initialize itself if an operation is executed on it that requires it to be initialized.
      Specified by:
        `init` in interface `Repository`
      Overrides:
        `init` in class `NotifyingRepositoryWrapper`
      Throws:
        `RepositoryException` - If the initialization failed.

    - #### setDelegate

          public void setDelegate​(Repository delegate)

      Deprecated.
      Specified by:
        `setDelegate` in interface `DelegatingRepository`
      Overrides:
        `setDelegate` in class `RepositoryWrapper`